### Signal

# Clutter SwipeAction::swipe

#### Declaration

    gboolean
    swipe (
      ClutterSwipeAction* self,
      ClutterActor* actor,
      ClutterSwipeDirection direction,
      gpointer user_data
    )

#### Description [src]

The signal is emitted when a swipe gesture is recognized on the attached actor.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`actor`

  Type: `ClutterActor`

  The `ClutterActor` attached to the `action`.

  The data is owned by the caller of the function.

`direction`

  Type: `ClutterSwipeDirection`

  The main direction of the swipe gesture.

#### Return value

Type: `gboolean`

`TRUE` if the swipe should continue, and `FALSE` if the swipe should be cancelled.